using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyEncounterController : MonoBehaviour
{
    public ExplosionController ExplosionPrefab;

    // Start is called before the first frame update
    void Start()
    {
    }

    // Update is called once per frame
    void Update()
    {
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        ShipController c = collision.gameObject.GetComponent<ShipController>();
        Vector3 pos = c.gameObject.transform.position;
        Destroy(c.gameObject);

        ExplosionController explosion = Instantiate<ExplosionController>(ExplosionPrefab);
        explosion.gameObject.transform.position = pos;
    }

}
